package com.red.circle.other.app.inner.service.team.manager;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.team.manager.TeamManagerAddCmd;
import com.red.circle.other.inner.model.cmd.team.manager.TeamManagerOpsPageQryCmd;
import com.red.circle.other.inner.model.dto.agency.manager.TeamManagerDTO;
import java.util.Map;
import java.util.Set;

/**
 * 团队经理 inner 服务.
 */
public interface TeamManagerClientService {

  TeamManagerDTO getById(Long id);

  TeamManagerDTO getByUserId(Long userId);

  void add(TeamManagerAddCmd cmd);

  boolean check(Long userId);

  Map<Long, Boolean> mapCheck(Set<Long> userIds);

  PageResult<TeamManagerDTO> pageOps(TeamManagerOpsPageQryCmd qryCmd);

  void updateSelectiveById(TeamManagerDTO dto);

  void deleteById(Long id);

}
